/// <reference types="node" />
import { Rect } from '../shape/rect';
export declare class SdlTexture {
    _texturePtr: any;
    rect: Rect;
    constructor(_texturePtr: any);
    destroy(): void;
    update(x: number, y: number, width: number, height: number, pixels: Buffer): any;
    query(): {
        format: number;
        access: number;
        x: number;
        y: number;
        w: number;
        h: number;
    };
    readonly texturePtr: any;
    static createTexture(rendererPtr: any, w: number, h: number, access?: number, format?: number): SdlTexture;
    static createARGBSurface(pixels: any, width: number, height: number): any;
    static createARGBTexture(pixels: any, width: number, height: number, rendererPtr: any): any;
    static getARGBFormat(): number;
}
